Webhooks

Manage a single webhook subscription for real-time alert events (subscribe/update, status, delete).

Get alerts webhook subscription status

get

Returns the current subscription status or none if not configured.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Status payload

application/json
urlstringOptional
statusstring · enumOptionalPossible values:
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
secretstring · nullableOptional

Returned only when a new secret is generated or explicitly updated

get
/webhooks/subscription

Upsert alerts webhook subscription

put

Creates or updates the single subscription for alert events.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
urlstring · uriRequired

HTTPS callback URL

secretstringOptional

Optional secret used for HMAC signatures

Responses
chevron-right
200

Subscription is active

application/json
urlstringOptional
statusstring · enumOptionalPossible values:
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
secretstring · nullableOptional

Returned only when a new secret is generated or explicitly updated

put
/webhooks/subscription

Delete alerts webhook subscription

delete

Removes the current subscription (if any).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
delete
/webhooks/subscription

No content

Last updated